BlackBerry Forums Support Community               

Closed Thread
 
LinkBack Thread Tools
Old 11-14-2008, 08:04 AM   #1 (permalink)
Thumbs Must Hurt
 
buneech's Avatar
 
Join Date: Oct 2008
Location: Slovenia
Model: 8310
OS: 4.5.0.124
Carrier: Si.mobil/Vodafone Slovenia
Posts: 94
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default OS: 8310 4.5.0.134/4.5.0.99 (Multilanguage)

Please Login to Remove!

Software For BlackBerry® Curve (TM) 8310 smartphone
From Vodafone Slovenia; This will load on any carrier's 8310 model by following the instructions below.

This version is Multilanguage and contains English.

* Applications: 4.5.0.99
* Software Platform: 2.7.0.84
* File name: 8310M_PBr4.5.0_rel134_PL2.7.0.84_A4.5.0.99.exe
* File size: 76 MB

Download the file here:
Click!

Instructions for installing on ANY carrier's 8310:

1. Download the above OS file to the PC then install it to the PC by running (double clicking) the file you downloaded.
2. Go to c:\program files\common files\research in motion\apploader and delete the file named "vendor.xml."
3. Plug in BB and double click on "Loader.exe." It's located in the same place as the above vendor.xml file.

The process takes about 45 minutes to an hour depending on how much data you have to backup and restore during the process. Once it's done loading the new OS it will reboot (it may do this twice during the entire process.) You will see a white screen with an hourglass for up to 20 minutes at a time while the DM says "waiting for initialization."
If, for some reason, you end up with a white screen with small icons and the number 507, simply connect to the PC again and run Loader.exe again and it should load the OS to the device.

To find previous versions of the OS for this device, click here:
http://www.blackberryforums.com/gene...languages.html

Last edited by John Clark : 11-25-2008 at 11:28 PM.
Offline  
Old 11-14-2008, 08:09 AM   #2 (permalink)
Thumbs Must Hurt
 
MaddestMax's Avatar
 
Join Date: Jan 2008
Model: 9700
OS: 5.0.0.421
PIN: N/A
Carrier: AT&T
Posts: 93
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Yeah. I just found it.

Quote:
Firmware za BlackBerry 8310 - Verzija 4.5.0.99
Is this a newer version? I get confused by the numbers so easily! And is it a multi-language pack? So many questions!
Offline  
Old 11-14-2008, 08:12 AM   #3 (permalink)
Thumbs Must Hurt
 
buneech's Avatar
 
Join Date: Oct 2008
Location: Slovenia
Model: 8310
OS: 4.5.0.124
Carrier: Si.mobil/Vodafone Slovenia
Posts: 94
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Well, the blackberry os or any other software isn't translated to slovenian, so it is multilanguage as i saw from the installation. It is a newer version, but i don't know if it is compliant with curve's from other operators.
Offline  
Old 11-14-2008, 08:17 AM   #4 (permalink)
Thumbs Must Hurt
 
MaddestMax's Avatar
 
Join Date: Jan 2008
Model: 9700
OS: 5.0.0.421
PIN: N/A
Carrier: AT&T
Posts: 93
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Gotcha. I dl'ed it, and ran it. Your right about the language. It seems to be multilanguage. Let's see if I can get the guts to upgrade!
Offline  
Old 11-14-2008, 08:20 AM   #5 (permalink)
No longer Registered.
 
Join Date: Nov 2008
Model: 8310
PIN: N/A
Carrier: AT&T
Posts: 39
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Question:

I am downloading 4.5 right now. After it is done I will do a back-up and delete the vendor file.

When I go through with the install will I have to re-do all of my themes??? Or will they be the same. I have spent countless minutes working on themes and I don't want to loose them.

Thanks,


Andybob
Offline  
Old 11-14-2008, 08:25 AM   #6 (permalink)
Thumbs Must Hurt
 
MaddestMax's Avatar
 
Join Date: Jan 2008
Model: 9700
OS: 5.0.0.421
PIN: N/A
Carrier: AT&T
Posts: 93
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

andybob, it depends on what your upgrading from. If your moving from lower than 4.5 chances are, you might have to edit your themes. But I believe you can export your old themes to higher OS versions pretty easily. But let's see if one of the mods has a better answer.
Offline  
Old 11-14-2008, 08:30 AM   #7 (permalink)
No longer Registered.
 
Join Date: Nov 2008
Model: 8310
PIN: N/A
Carrier: AT&T
Posts: 39
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Quote:
Originally Posted by MaddestMax View Post
andybob, it depends on what your upgrading from. If your moving from lower than 4.5 chances are, you might have to edit your themes. But I believe you can export your old themes to higher OS versions pretty easily. But let's see if one of the mods has a better answer.
Yeah, I am going from 4.2.xxxx....


Andybob
Offline  
Old 11-14-2008, 08:32 AM   #8 (permalink)
Thumbs Must Hurt
 
MaddestMax's Avatar
 
Join Date: Jan 2008
Model: 9700
OS: 5.0.0.421
PIN: N/A
Carrier: AT&T
Posts: 93
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Yeah. I'm pretty sure you'll have to update your themes. But like I said, with Plazmic's CDK 4.6, I think you can export to a higher OS. Give it a shot before you upgrade if it's really important to you.
Offline  
Old 11-14-2008, 08:33 AM   #9 (permalink)
No longer Registered.
 
Join Date: Nov 2008
Model: 8310
PIN: N/A
Carrier: AT&T
Posts: 39
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Well, I got an error when I tried to run the downloaded file on my computer.




Andybob
Offline  
Old 11-14-2008, 08:35 AM   #10 (permalink)
Thumbs Must Hurt
 
MaddestMax's Avatar
 
Join Date: Jan 2008
Model: 9700
OS: 5.0.0.421
PIN: N/A
Carrier: AT&T
Posts: 93
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

buneech, I almost forgot. Your absolutely right. It is in fact a higher version. If it wasn't so early (for me at least) here, I would have seen it earlier. I'm in the process of updating. I'll let everyone know how it goes as soon as it's done!
Offline  
Old 11-14-2008, 08:36 AM   #11 (permalink)
Thumbs Must Hurt
 
MaddestMax's Avatar
 
Join Date: Jan 2008
Model: 9700
OS: 5.0.0.421
PIN: N/A
Carrier: AT&T
Posts: 93
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Make sure your DM and everything RIM associated is not running when you run the update. But what I meant regarding "giving it a shot" was to run Plazmic and see if you can export your themes to a higher OS.
Offline  
Old 11-14-2008, 08:40 AM   #12 (permalink)
No longer Registered.
 
Join Date: Nov 2008
Model: 8310
PIN: N/A
Carrier: AT&T
Posts: 39
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Quote:
Originally Posted by MaddestMax View Post
Make sure your DM and everything RIM associated is not running when you run the update. But what I meant regarding "giving it a shot" was to run Plazmic and see if you can export your themes to a higher OS.
I am just trying to delete the vendor file but I can't run the software. It is giving me the error. Might have to do a computer reboot but I will have to do that later because I have to get to class.


Andybob
Offline  
Old 11-14-2008, 08:42 AM   #13 (permalink)
Thumbs Must Hurt
 
MaddestMax's Avatar
 
Join Date: Jan 2008
Model: 9700
OS: 5.0.0.421
PIN: N/A
Carrier: AT&T
Posts: 93
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Andybob, you don't delete your vendor file until AFTER you've run the file you downloaded. It's important you follow JSanders directions (found at the beginning of this thread) carefully.
Offline  
Old 11-14-2008, 08:46 AM   #14 (permalink)
No longer Registered.
 
Join Date: Nov 2008
Model: 8310
PIN: N/A
Carrier: AT&T
Posts: 39
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Quote:
Originally Posted by MaddestMax View Post
Andybob, you don't delete your vendor file until AFTER you've run the file you downloaded. It's important you follow JSanders directions (found at the beginning of this thread) carefully.
I understand that. What I am trying to say is my computer WON'T run the downloaded file. It comes up with an error.


Andybob

**Edit, refer to post #279 to see the message it is giving me. And all RIM software is closed.**

Last edited by andybob : 11-14-2008 at 08:47 AM.
Offline  
Old 11-14-2008, 08:54 AM   #15 (permalink)
Thumbs Must Hurt
 
MaddestMax's Avatar
 
Join Date: Jan 2008
Model: 9700
OS: 5.0.0.421
PIN: N/A
Carrier: AT&T
Posts: 93
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Quote:
Originally Posted by andybob View Post
I am just trying to delete the vendor file but I can't run the software. It is giving me the error. Might have to do a computer reboot but I will have to do that later because I have to get to class.
You can see my confusion. Anyway, like you said, try a computer reboot first. And if the problem persists, maybe re-download the file.
Offline  
Old 11-14-2008, 09:19 AM   #16 (permalink)
Thumbs Must Hurt
 
MaddestMax's Avatar
 
Join Date: Jan 2008
Model: 9700
OS: 5.0.0.421
PIN: N/A
Carrier: AT&T
Posts: 93
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Quote:
Originally Posted by buneech View Post
Here is the link, but i don't know if it works with other blackberry's. I have a vodafone handset, so it works with mine.

Click!

Don't upgrade if you don't know what are you doing. I would rather have an expert here to confirm it.
So, to anyone that cares. I updated to the above version. So far no problems. Usual little glitches, but nothing major. Had to soft reset, and switch between themes to get my animated theme "animated" again. But so far...so good.
Offline  
Old 11-14-2008, 10:17 AM   #17 (permalink)
Thumbs Must Hurt
 
buneech's Avatar
 
Join Date: Oct 2008
Location: Slovenia
Model: 8310
OS: 4.5.0.124
Carrier: Si.mobil/Vodafone Slovenia
Posts: 94
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Glad to hear it works :D
You probably had to delete the vendor.xml file?
Offline  
Old 11-14-2008, 10:37 AM   #18 (permalink)
Thumbs Must Hurt
 
MaddestMax's Avatar
 
Join Date: Jan 2008
Model: 9700
OS: 5.0.0.421
PIN: N/A
Carrier: AT&T
Posts: 93
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Me? No no. I've been trying to brick my phone for a long time. I wouldn't make an error like that!
Offline  
Old 11-14-2008, 11:03 AM   #19 (permalink)
No longer Registered.
 
Join Date: Nov 2008
Model: 8310
PIN: N/A
Carrier: AT&T
Posts: 39
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Oooo, got it working. When I downloaded it before the file must have gotten corrupt. It is installing now. Thanks,


Andybob
Offline  
Old 11-14-2008, 11:12 AM   #20 (permalink)
Thumbs Must Hurt
 
MaddestMax's Avatar
 
Join Date: Jan 2008
Model: 9700
OS: 5.0.0.421
PIN: N/A
Carrier: AT&T
Posts: 93
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Glad to hear it Andybob. Have fun.
Offline  
Closed Thread


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On





Copyright © 2004-2014 BlackBerryForums.com.
The names RIM © and BlackBerry © are registered Trademarks of BlackBerry Inc.